<template>
  <section class="container--curtain">
    <NavBar class="container--curtain--menu" :options="optionsCurtain" />
  </section>
</template>

<script>
import { mapGetters } from 'vuex';
import NavBar from '@/components/molecules/NavBar.vue';

export default {
  name: 'MenuCurtain',
  components: {
    NavBar,
  },
  computed: {
    ...mapGetters(['getNavBarOptions']),
    optionsCurtain() {
      return this.getNavBarOptions.filter((item) => item.show.includes('curtain'));
    },
  },
};
</script>

<style lang="sass" scoped>
@import '@/assets/sass/colors.sass'
.container--curtain
  justify-content: flex-start
  position: fixed
  padding-top: 1rem
  background: $secondary
  right: 0
  left: 0
  bottom: 0
  top: 3rem
  z-index: 2
</style>
